@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');
.sub-header {
    height: 20vh;
    width: 100%;
    display: inline-block;
    background: linear-gradient(rgba(4, 17, 71, 0.9), rgba(76, 42, 99, 1));
    text-align: right;
    color: #fff;
    box-shadow: 0 0 10px 5px rgba(36, 23, 23, 0.5);
}

.sub-header img {
    display: none;
    justify-content: left;
    padding-left: 40px;
    padding-top: 0;
    width: 100px;
}


/* ---------------------------------------------------------------------------- */


/* -------------------------------------------------------------------------------- */

.sign-sec {
    font-family: 'Poppins', sans-serif;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
}

.sign-container {
    position: relative;
    max-width: 430px;
    width: 100%;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 0 13px 7px blueviolet;
    overflow: hidden;
}

.sign-container .sign-forms {
    display: flex;
    height: 430px;
    align-items: center;
    width: 200%;
    transition: height 0.2s ease;
    /* background-color: red; */
}

.sign-container .sign-in {
    width: 50%;
    padding: 30px;
    background-color: #fff;
    transition: margin-left 0.2s ease;
}

.sign-container.active .login {
    margin-left: -100%;
    opacity: 0;
    transition: margin-left 0.2s ease, opacity 0.15s ease;
}

.sign-container .signup {
    width: 100%;
    opacity: 0;
    transition: opacity 0.09s ease;
}

.sign-container.active .signup {
    width: 100%;
    opacity: 1;
    transition: opacity 0.2s ease;
}

.sign-container.active .sign-forms {
    height: 600px;
    width: 100%;
}

.sign-container .sign-in {
    padding: 30px;
    width: 100%;
}

.sign-container .sign-in .title {
    position: relative;
    font-size: 27px;
    font-weight: 600;
}

.sign-in .title::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 30px;
    background-color: blueviolet;
    border-radius: 25px;
}

.sign-in .sign-field {
    position: relative;
    height: 50px;
    width: 100%;
    margin-top: 30px;
}

.sign-field input {
    position: absolute;
    height: 100%;
    width: 80%;
    padding: 0 35px;
    border: none;
    outline: none;
    font-size: 16px;
    border-bottom: 2px solid #ccc;
    border-top: 2px solid transparent;
    transition: all 0.2s ease;
}

.sign-field input:is(:focus,
 :valid) {
    border-bottom-color: blueviolet;
}

.sign-field i {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #999;
    font-size: 23px;
}

.sign-field input:is(:focus,
 :valid)~i {
    color: blueviolet;
}

.sign-field i.icon {
    left: 0;
}

.sign-field i.showHidePw {
    right: 0;
    cursor: pointer;
    padding: 10px;
}

.sign-in .checkbox-text {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.checkbox-text .checkbox-content {
    display: flex;
    align-items: center;
}

.checkbox-content input {
    margin: 0 8px -2px 4px;
    accent-color: #4070f4;
}

.sign-forms .text {
    color: #333;
    font-size: 14px;
}

.sign-forms a.text {
    color: #4070f4;
    text-decoration: none;
}

.sign-forms a:hover {
    text-decoration: underline;
}

.sign-forms .button {
    margin: 35px;
}

.sign-forms .button input {
    border: none;
    color: #fff;
    font-size: 17px;
    font-weight: 500;
    letter-spacing: 1px;
    border-radius: 6px;
    background-color: blueviolet;
    cursor: pointer;
    transition: all 0.3s ease;
}

.button input:hover {
    background-color: blueviolet;
}

.sign-forms .signin-signup {
    margin-top: 30px;
    text-align: center;
}